#include <vector>
#include <iostream>
#include <algorithm>

void Untie();

int main() {
    Untie();
    uint32_t n;
    uint32_t k;
    std::cin >> n >> k;
    std::vector<uint32_t> deck(n);
    for (auto& card : deck) {
        std::cin >> card;
    }
    auto it = std::find(deck.begin(), deck.end(), k) + 1;
    std::cout << *(it == deck.end() ? deck.begin() : it) << std::endl;
    return 0;
}

void Untie() {
    std::ios_base::sync_with_stdio(false);
    std::cout.tie(nullptr);
    std::cerr.tie(nullptr);
    std::cin.tie(nullptr);
}